/*
 * Cay S. Horstmann & Gary Cornell, Core Java
 * Published By Sun Microsystems Press/Prentice-Hall
 * Copyright (C) 1997 Sun Microsystems Inc.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this 
 * software and its documentation for NON-COMMERCIAL purposes
 * and without fee is hereby granted provided that this 
 * copyright notice appears in all copies. 
 * 
 * THE AUTHORS AND PUBLISHER MAKE NO REPRESENTATIONS OR 
 * WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHORS
 * AND PUBLISHER SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING 
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */
 
/**
 * @version 1.10 25 Mar 1997
 * @author Cay Horstmann
 */

import java.awt.*;
import corejava.*;

public class XOR extends CloseableFrame
{  public void paint(Graphics g)
   {  g.translate(getInsets().left, getInsets().top);
      setBackground(Color.black);
      g.setColor(Color.red);
      g.fillRect(10, 10, 80, 30);
      g.setColor(Color.green);
      g.fillRect(50, 20, 80, 30);
      g.setColor(Color.blue);
      g.fillRect(130, 40, 80, 30);
      g.setXORMode(Color.green);
      g.fillRect(90, 30, 80, 30);
   }

   public static void main(String[] args)
   {  Frame f = new XOR();
      f.show();
   }
}



                        
