/*
 * Cay S. Horstmann & Gary Cornell, Core Java
 * Published By Sun Microsystems Press/Prentice-Hall
 * Copyright (C) 1997 Sun Microsystems Inc.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this 
 * software and its documentation for NON-COMMERCIAL purposes
 * and without fee is hereby granted provided that this 
 * copyright notice appears in all copies. 
 * 
 * THE AUTHORS AND PUBLISHER MAKE NO REPRESENTATIONS OR 
 * WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHORS
 * AND PUBLISHER SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED 
 * BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING 
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */
 
/**
 * @version 1.10 06 May 1997
 * @author Cay Horstmann
 */

import java.awt.*;
import java.awt.event.*;

class DebugWin extends Frame
{  public void print(Object ob)
   {  output.append("\n" + ob);
   }

   public DebugWin()
   {  setTitle("DebugWin");
      output.setEditable(false);
      output.setText("[DebugWin]");
      add(output, "Center");
      setSize(300, 200);
      setLocation(200, 200);
      addWindowListener(new WindowAdapter() { public void
         windowClosing(WindowEvent e) 
         { setVisible(false); } } );
      show();
   }

   private TextArea output = new TextArea();
}



